Summary:	GNOME System Tools
Name: 		gnome-system-tools 
Version: 	0.24.0
Release: 	1mdk
License: 	LGPL
Group: 		System/Configuration/Other
Source0:	ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
URL: 		http://www.gnome.org/projects/gst/

Obsoletes:  ximian-setup-tools
Obsoletes:  ximian-setup-tools-devel
Provides:   ximian-setup-tools-devel = %{version}
Provides:   ximian-setup-tools = %{version}-%{release}
BuildRequires:  cracklib-devel
BuildRequires:	libgnomeui2_0-devel
BuildRequires:  libglade2.0-devel
BuildRequires:  libGConf2-devel >= 2.2.0
BuildRequires:  libvte-devel >= 0.10.20
BuildRequires:  libncurses-devel

%description
Day-to-day system management on Unix systems is a chore. Even when 
you're using a friendly graphical desktop, seemingly basic tasks 
like setting the system time, changing the network setup, importing 
and exporting network shared filesystems and configuring swap partitions 
requires editing configuration files by hand, and the exact procedure 
varies between different operating systems and distributions.

The GNOME System Tools solve all these problems, giving you a simple
graphical interface for each task, which uses an advanced backend to 
edit all the relevant files and apply your changes. The interface 
looks and acts in exactly the same way regardless of what platform 
you're using.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
%{find_lang} %{name}
rm -fr %buildroot%_datadir/control-center

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING HACKING NEWS ChangeLog 
%config(noreplace) %_sysconfdir/X11/sysconfig/*.desktop
%config(noreplace) %_sysconfdir/gconf/schemas/gnome-system-tools.schemas
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/setup-tool-backends
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/gnome/apps/Settings/*


%changelog
* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.24.0-1mdk
- new version

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.23.0-2mdk
- fix buildrequires

* Sun Feb 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.23.0-1mdk
- add missing files
- fix buildrequires
- new version

* Tue Feb 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.22.0-2mdk
- rebuild for new openssl

* Mon Dec  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.22.0-1mdk
- buildrequires cracklib-devel
- remove gal dependancy
- spec fixes
- new version

* Mon Sep 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.21.0-1mdk
- Release 0.21.0 - Renamed as GNOME Setup Tools
- Remove patch0 (no longer needed)

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 0.11.0-2mdk
- BuildRequires
- Rebuild for libgal19

* Fri Jan  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-1mdk
- Release 0.11.0
- Switch to implicit dependencies
- Patch0: put files in FHS compliant directories

* Tue Nov 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-7mdk
- Remove explicit dependency on gal

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-6mdk
- Recompiled against gal 0.18

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-5mdk
- Recompiled against gal 0.15

* Thu Sep 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-4mdk
- Patch0: fix to compile with gal 0.12 (GNOME CVS)
- Recompiled against libgal12

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-3mdk
- Add missing directories
- Recompiled against libgal11

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-2mdk
- Recompiled against latest gal

* Wed Aug  1 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.0-1mdk
- new version
- ximian archiver is now a separate tarball
- updated files list

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-2mdk
- Recompiled against latest gal

* Fri Jun 22 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.6.0-1mdk
- initial mandrake release
- not libified since ximian archiver might soon be separate from setup tools

* Wed Mar 03 2001 Chema Celorio <chema@ximian.com>
- Fixed http://bugzilla.ximian.com/show_bug.cgi?id=1644
* Wed Nov 29 2000 Ross Golder <rossigee@bigfoot.com>
- Knocked up preliminary RPM spec file, based on gnome-core spec.

